var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultIntegral_8h.html#a1547a676c9d1f206e0ed614d42d74c2d",
"IdStringType_8h.html#a6e39d67141f5e282321ca13596e7b6a5",
"MediaCD_8cc.html#a6db00f35b9d906468d2488bb95d68a03",
"Package_8cc.html",
"PoolMember_8h_source.html",
"RepoManager_8h.html",
"SATResolver_8cc_source.html",
"String_8h.html#a116c5922b5388e7df08af9d94079f3dcaf5de768e767f0471870638a807448a35",
"UrlBase_8cc.html#a2452cc1b29d06e0d540aad93ea93e0ab",
"classzypp_1_1Arch.html#a31667f732ea8d4cbcf16273f31bbd996",
"classzypp_1_1Capability.html#a5b9a791bd982daca63c36f246996f47e",
"classzypp_1_1Date.html#a1bf6ce331c70c036be272e4222cda089",
"classzypp_1_1ExternalProgram.html#ac1779a600c2355f80dc372512d6b58af",
"classzypp_1_1IdString.html#aef105c44bbdbe2455e78de0e4917dc61",
"classzypp_1_1Match.html#a666984d7088badc385588f669845cb5f",
"classzypp_1_1PluginExecutor.html#a2c8f4bcacb146b3b7633aea963574b0a",
"classzypp_1_1PoolQuery.html#ae88b0a281916012d7c2737812bd1cd6d",
"classzypp_1_1RepoInfo.html#a0d335b78bff35df6d32cbf01825bf909",
"classzypp_1_1ResKind.html#a7f3e7818effe3c7ac2284f74eb941310",
"classzypp_1_1ResStatus.html#aa2c1863fa2f7ceafbd2c8fd5e153581e",
"classzypp_1_1SignalSaver.html#ac44fa6a307eb31209ab258076a55f272",
"classzypp_1_1ZConfig.html#a2eb1c7075f73478cab731784fe9ab833",
"classzypp_1_1ZYppGlobalLock.html#ae77f78a21cc4446e2b8185d6c91fa770",
"classzypp_1_1callback_1_1UserData.html#a266cab45c0d49695525ce2a6e1eae4f9",
"classzypp_1_1filesystem_1_1Pathname.html#a1ae0ef35fafd0c00868708b0617d9f82",
"classzypp_1_1media_1_1CurlAuthData.html#a6907236953b49e1a03862fad686b6ef6",
"classzypp_1_1media_1_1MediaDISK.html#a4b34520983e3579e580044fe005d96ec",
"classzypp_1_1media_1_1MediaNotSupportedException.html#a1e442a1cc1201a3dc1063e2b34ea4f70",
"classzypp_1_1media_1_1ZsyncParser.html#add23194ba169cf9970ea19a4a18a76a1",
"classzypp_1_1parser_1_1susetags_1_1RepoIndex.html#a8aebba4cac73e62bd0c56029e7db4065",
"classzypp_1_1repo_1_1RepoMirrorList.html#af8e3a27ba46c0f30cea36aa4ea5cecb1",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html#a3799d27a61219aca571235ed40b50cc5",
"classzypp_1_1sat_1_1SolvAttr.html#ac44bfd4a0c2513ce6b387523a2e00b3a",
"classzypp_1_1sat_1_1WhatObsoletes.html#aca690d1b24821f72796c4abcc936b3b2",
"classzypp_1_1str_1_1regex.html#acef16b09deccf27ab84645dd1f7ab237",
"classzypp_1_1target_1_1TargetImpl.html#a344f21116193410d2464409d2a23219e",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#abacb6eeef91dd9bdadf8c62dfaff3264",
"classzypp_1_1thread_1_1MutexLock.html#a6323a5dcf128e185788cbce3f167a80b",
"classzypp_1_1xml_1_1Node.html#a15e7234c5c395c9624e46f0e66445e84",
"functions_eval_w.html",
"group__ZYPP__RESOLVABLE__SMART__POINTER__TYPES.html#ga9dd6d7579f34441277dbab4bd67826d2",
"namespacezypp_1_1json.html",
"structzypp_1_1CpeId_1_1EAttributeDef.html#a5d5ce4f345785a00fb996e438723d022aa07046c58dd9af5d00243036510dafd3",
"structzypp_1_1KeyContext.html#a8a9dd825106922510a13d495ef15e3ae",
"structzypp_1_1PublicKeyScanner_1_1Impl.html#a9a756816e2c5aebca577a9a3b6e7b802",
"structzypp_1_1ResPoolProxy_1_1Impl.html#a0997d89013d5af73eb0e7fc4e231618b",
"structzypp_1_1base_1_1logger_1_1LogControlImpl.html#a0ca8f629e6ae423509a9913e78d2d6e0",
"structzypp_1_1json_1_1Value.html#a46e09953d2678a1e102ef2b2845b179f",
"structzypp_1_1pool_1_1PoolTraits.html#a4ffb98157c37c3131ad63630521525cc",
"structzypp_1_1sat_1_1FileConflicts_1_1Conflict.html#a8831b9bdd2ca30f821e05bdb7343efc8",
"structzypp_1_1target_1_1rpm_1_1ConvertDBReport.html#a64ba7b69dcb23bf3985a51f7d53110d5",
"structzypp_1_1url_1_1ViewOption.html#acff3ccc1acb86660544933fabda88921"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';